Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620267 - mysql crash on UPDATE request
mysql crash on UPDATE request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 18:03 EDT by mallowtek
Modified: 2013-07-02 23:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mallowtek 2010-08-01 18:03:20 EDT
When in send this request from php, phpMyAdmin or mysql-client, mysql server crash and I put the debugtrace found in my mysql.log

SQL query: UPDATE jos_sfc_offremploi SET id_oem = 1 WHERE id_oem = '1'

Debug trace:


100801 23:49:43 - mysqld got signal 11 ;
This could be because you hit a bug. It is also possible that this binary
or one of the libraries it was linked against is corrupt, improperly built,
or misconfigured. This error can also be caused by malfunctioning hardware.
We will try our best to scrape up some info that will hopefully help diagnose
the problem, but since we have already crashed, something is definitely wrong
and this may fail.

key_buffer_size=8384512
read_buffer_size=131072
max_used_connections=2
max_threads=151
threads_connected=1
It is possible that mysqld could use up to 
key_buffer_size + (read_buffer_size + sort_buffer_size)*max_threads = 338317 K
bytes of memory
Hope that's ok; if not, decrease some variables in the equation.

thd: 0x1abb8d0
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = 0x7fd2a4180d98 thread_stack 0x40000
/usr/libexec/mysqld(my_print_stacktrace+0x29) [0x844479]
/usr/libexec/mysqld(handle_segfault+0x434) [0x5b9f14]
/lib64/libpthread.so.0() [0x3d3e60f440]
/usr/libexec/mysqld(mysql_update(THD*, TABLE_LIST*, List<Item>&, List<Item>&, Item*, unsigned int, st_order*, unsigned long long, enum_duplicates, bool)+0x497) [0x641df7]
/usr/libexec/mysqld(mysql_execute_command(THD*)+0x963) [0x5c67b3]
/usr/libexec/mysqld(mysql_parse(THD*, char const*, unsigned int, char const**)+0x221) [0x5cb651]
/usr/libexec/mysqld(dispatch_command(enum_server_command, THD*, char*, unsigned int)+0xc9c) [0x5ccbac]
/usr/libexec/mysqld(do_command(THD*)+0xea) [0x5cd68a]
/usr/libexec/mysqld(handle_one_connection+0x23d) [0x5c06ed]
/lib64/libpthread.so.0() [0x3d3e607761]
/lib64/libc.so.6(clone+0x6d) [0x3d3dae14ed]
Trying to get some variables.
Some pointers may be invalid and cause the dump to abort...
thd->query at 0x7fd28c02af40 is an invalid pointer
thd->thread_id=14
thd->killed=NOT_KILLED
The manual page at http://dev.mysql.com/doc/mysql/en/crashing.html contains
information that should help you find out what is causing the crash.
100801 23:49:44 mysqld_safe Number of processes running now: 0
100801 23:49:44 mysqld_safe mysqld restarted
InnoDB: The log sequence number in ibdata files does not match
InnoDB: the log sequence number in the ib_logfiles!
100801 23:49:44  InnoDB: Database was not shut down normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages from the doublewrite
InnoDB: buffer...
100801 23:49:45  InnoDB: Started; log sequence number 0 491822474
100801 23:49:45 [Note] Event Scheduler: Loaded 0 events
100801 23:49:45 [Note] /usr/libexec/mysqld: ready for connections.
Version: '5.1.48'  socket: '/var/lib/mysql/mysql.sock'  port: 3306  Source distribution
Comment 1 Tom Lane 2010-08-01 18:23:41 EDT
It's really impossible to do anything with such a vague bug report.  UPDATEs in general certainly don't crash mysql (else nobody would use it), so you need to provide enough information for somebody else to reproduce the problem and/or figure out what's special about this particular UPDATE.  The mysql manual page linked from the crash printout is a good place to start trying to diagnose problems.
Comment 2 Bug Zapper 2011-06-01 08:19:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 08:40:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.